Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/link/CooccurrencesToConcordances.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/link/CooccurrencesToConcordances.java	(revision 369)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/link/CooccurrencesToConcordances.java	(revision 370)
@@ -39,12 +39,12 @@
 import org.eclipse.ui.IWorkbenchWindow;
 import org.eclipse.ui.PartInitException;
 import org.eclipse.ui.handlers.HandlerUtil;
+import org.txm.concordance.rcp.editors.ConcordanceEditor;
+import org.txm.concordance.rcp.editors.ConcordanceEditorInput;
 import org.txm.cooccurrence.core.functions.Cooccurrence;
 import org.txm.cooccurrence.core.functions.Cooccurrence.CLine;
 import org.txm.cooccurrence.rcp.editors.CooccurrencesEditor;
 import org.txm.rcp.Messages;
-import org.txm.rcp.editors.concordances.ConcordancesEditor;
-import org.txm.rcp.editors.input.ConcordancesEditorInput;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.query.Query;
@@ -62,7 +62,7 @@
 	private IStructuredSelection selection;
 	
 	/** The editor input. */
-	private static ConcordancesEditorInput editorInput;
+	private static ConcordanceEditorInput editorInput;
 
 	/* (non-Javadoc)
 	 * @see org.eclipse.core.commands.AbstractHandler#execute(org.eclipse.core.commands.ExecutionEvent)
@@ -123,14 +123,13 @@
 		
 		Corpus corpus = cooc.getCorpus();
 
-		editorInput = new ConcordancesEditorInput(corpus, null);
+		editorInput = new ConcordanceEditorInput(corpus, null);
 
 		IWorkbenchPage page = editor.getEditorSite().getWorkbenchWindow().getActivePage();
 		
 		try {
-			ConcordancesEditor conceditor = (ConcordancesEditor) page
-					.openEditor(editorInput,
-							"org.txm.rcp.editors.ConcordancesEditor"); //$NON-NLS-1$
+			ConcordanceEditor conceditor = (ConcordanceEditor) page
+					.openEditor(editorInput, "ConcordanceEditor"); //$NON-NLS-1$
 			conceditor.setQuery(query);
 			conceditor.compute();
 		} catch (PartInitException e) {
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/link/IndexToCooccurrence.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/link/IndexToCooccurrence.java	(revision 369)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/link/IndexToCooccurrence.java	(revision 370)
@@ -41,6 +41,7 @@
 import org.txm.index.core.functions.Line;
 import org.txm.index.rcp.editors.IndexEditor;
 import org.txm.rcp.Messages;
+import org.txm.rcp.editors.TXMResultEditorInput;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.query.Query;
@@ -78,11 +79,14 @@
 
 		IWorkbenchPage page = window.getActivePage();
 		try {
-			CooccurrencesEditor conceditor = (CooccurrencesEditor) page
-					.openEditor(editorInput,
-							"org.txm.rcp.editors.cooccurrences.CooccurrencesEditor"); //$NON-NLS-1$
+			//FIXME: tests
+//			CooccurrencesEditor conceditor = (CooccurrencesEditor) page.openEditor(editorInput, "org.txm.rcp.editors.cooccurrences.CooccurrencesEditor"); //$NON-NLS-1$
+			CooccurrencesEditor conceditor = (CooccurrencesEditor) page.openEditor(new TXMResultEditorInput(corpus), "CooccurrencesEditor"); //$NON-NLS-1$
+			
+			
+			
 			conceditor.setFocus(query);
-			conceditor.compute();
+			conceditor.computeResult(false);
 		} catch (Exception e) {
 			System.out.println(Messages.IndexToCooccurrence_0);
 			org.txm.rcp.utils.Logger.printStackTrace(e);
@@ -114,7 +118,7 @@
 					.openEditor(editorInput,
 							"org.txm.rcp.editors.cooccurrences.CooccurrencesEditor"); //$NON-NLS-1$
 			conceditor.setFocus(query);
-			conceditor.compute();
+			conceditor.computeResult(false);
 		} catch (Exception e) {
 			System.out.println(Messages.IndexToCooccurrence_0);
 			org.txm.rcp.utils.Logger.printStackTrace(e);
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/link/IndexToProgression.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/link/IndexToProgression.java	(revision 369)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/link/IndexToProgression.java	(revision 370)
@@ -38,11 +38,11 @@
 import org.eclipse.swt.widgets.Shell;
 import org.eclipse.ui.IWorkbenchWindow;
 import org.eclipse.ui.handlers.HandlerUtil;
+import org.txm.concordance.rcp.editors.ConcordanceEditorInput;
 import org.txm.index.core.functions.Line;
 import org.txm.index.rcp.editors.IndexEditor;
 import org.txm.progression.rcp.dialogs.ProgressionDialog;
 import org.txm.progression.rcp.handlers.ComputeProgression;
-import org.txm.rcp.editors.input.ConcordancesEditorInput;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.query.Query;
@@ -61,7 +61,7 @@
 	private IStructuredSelection selection;
 	
 	/** The editor input. */
-	private ConcordancesEditorInput editorInput;
+	private ConcordanceEditorInput editorInput;
 
 	/* (non-Javadoc)
 	 * @see org.eclipse.core.commands.AbstractHandler#execute(org.eclipse.core.commands.ExecutionEvent)
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/link/TextToConcordance.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/link/TextToConcordance.java	(revision 369)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/link/TextToConcordance.java	(revision 370)
@@ -36,10 +36,10 @@
 import org.eclipse.ui.IWorkbenchWindow;
 import org.eclipse.ui.PartInitException;
 import org.eclipse.ui.handlers.HandlerUtil;
+import org.txm.concordance.rcp.editors.ConcordanceEditor;
+import org.txm.concordance.rcp.editors.ConcordanceEditorInput;
 import org.txm.rcp.Messages;
 import org.txm.rcp.editors.IEditionEditor;
-import org.txm.rcp.editors.concordances.ConcordancesEditor;
-import org.txm.rcp.editors.input.ConcordancesEditorInput;
 import org.txm.searchengine.cqp.corpus.Corpus;
 
 // TODO: Auto-generated Javadoc
@@ -57,7 +57,7 @@
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 		//System.out.println("Call TextToConcordance");
 		IWorkbenchWindow window;
-		ConcordancesEditorInput editorInput;
+		ConcordanceEditorInput editorInput;
 		window = HandlerUtil.getActiveWorkbenchWindow(event);
 		//selection = HandlerUtil.getCurrentSelection(event);
 		
@@ -74,13 +74,12 @@
 			query = fixQuery(query);
 			
 			Corpus corpus = ((IEditionEditor)editor).getCorpus();
-			editorInput = new ConcordancesEditorInput(corpus, null);
+			editorInput = new ConcordanceEditorInput(corpus, null);
 
 			IWorkbenchPage page = window.getActivePage();
 			try {
-				ConcordancesEditor conceditor = (ConcordancesEditor) page
-						.openEditor(editorInput,
-								"org.txm.rcp.editors.ConcordancesEditor"); //$NON-NLS-1$
+				ConcordanceEditor conceditor = (ConcordanceEditor) page
+						.openEditor(editorInput, "ConcordanceEditor"); //$NON-NLS-1$
 				conceditor.setQuery(query);
 				conceditor.compute();
 			} catch (PartInitException e) {
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/link/ConcordanceToIndex.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/link/ConcordanceToIndex.java	(revision 369)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/link/ConcordanceToIndex.java	(revision 370)
@@ -37,11 +37,11 @@
 import org.eclipse.osgi.util.NLS;
 import org.eclipse.ui.IWorkbenchPage;
 import org.eclipse.ui.PartInitException;
-import org.txm.concordances.functions.Line;
+import org.txm.concordance.core.functions.Line;
+import org.txm.concordance.rcp.editors.ConcordanceEditor;
 import org.txm.index.rcp.editors.IndexEditor;
 import org.txm.index.rcp.editors.IndexEditorInput;
 import org.txm.rcp.Messages;
-import org.txm.rcp.editors.concordances.ConcordancesEditor;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.query.Query;
@@ -67,7 +67,7 @@
 	 * @param selection the selection
 	 * @return the object
 	 */
-	public static Object link(ConcordancesEditor concordanceEditor,
+	public static Object link(ConcordanceEditor concordanceEditor,
 			IStructuredSelection selection) {
 		if (selection.getFirstElement() == null) return null;
 		assert (selection.getFirstElement() instanceof Line);
@@ -83,7 +83,7 @@
 					.openEditor(editorInput,
 							"org.txm.rcp.editors.index.IndexEditor"); //$NON-NLS-1$
 			voceditor.setFocus(query);
-			voceditor.compute();
+			voceditor.computeResult();
 		} catch (PartInitException e) {
 			System.err.println(NLS.bind(Messages.GetConcordances_4, e));
 		}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/link/IndexToConcordance.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/link/IndexToConcordance.java	(revision 369)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/link/IndexToConcordance.java	(revision 370)
@@ -38,11 +38,11 @@
 import org.eclipse.ui.IWorkbenchWindow;
 import org.eclipse.ui.PartInitException;
 import org.eclipse.ui.handlers.HandlerUtil;
+import org.txm.concordance.rcp.editors.ConcordanceEditor;
+import org.txm.concordance.rcp.editors.ConcordanceEditorInput;
 import org.txm.index.core.functions.Line;
 import org.txm.index.rcp.editors.IndexEditor;
 import org.txm.rcp.Messages;
-import org.txm.rcp.editors.concordances.ConcordancesEditor;
-import org.txm.rcp.editors.input.ConcordancesEditorInput;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.StructuralUnitProperty;
@@ -61,7 +61,7 @@
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 		IWorkbenchWindow window;
 		IStructuredSelection selection;
-		ConcordancesEditorInput editorInput;
+		ConcordanceEditorInput editorInput;
 		window = HandlerUtil.getActiveWorkbenchWindow(event);
 		selection = (IStructuredSelection) HandlerUtil.getCurrentSelection(event);
 
@@ -81,13 +81,13 @@
 
 		Corpus corpus = voceditor.getCorpus();
 
-		editorInput = new ConcordancesEditorInput(corpus, null);
+		editorInput = new ConcordanceEditorInput(corpus, null);
 
 		IWorkbenchPage page = window.getActivePage();
 		try {
-			ConcordancesEditor conceditor = (ConcordancesEditor) page
+			ConcordanceEditor conceditor = (ConcordanceEditor) page
 					.openEditor(editorInput,
-							"org.txm.rcp.editors.ConcordancesEditor"); //$NON-NLS-1$
+							"ConcordanceEditor"); //$NON-NLS-1$
 			conceditor.setQuery(query);
 			conceditor.compute();
 		} catch (PartInitException e) {
@@ -111,7 +111,7 @@
 		if (query.length() == 0)
 			return null;
 		Corpus corpus = voceditor.getCorpus();
-		ConcordancesEditorInput editorInput = new ConcordancesEditorInput(
+		ConcordanceEditorInput editorInput = new ConcordanceEditorInput(
 				corpus, null);
 //		try {
 //			System.out.println("Compute indexResult query: "+voceditor.getQuery());
@@ -148,9 +148,9 @@
 		IWorkbenchPage page = voceditor.getEditorSite().getWorkbenchWindow()
 				.getActivePage();
 		try {
-			ConcordancesEditor conceditor = (ConcordancesEditor) page
+			ConcordanceEditor conceditor = (ConcordanceEditor) page
 					.openEditor(editorInput,
-							"org.txm.rcp.editors.ConcordancesEditor"); //$NON-NLS-1$
+							"ConcordanceEditor"); //$NON-NLS-1$
 			conceditor.setQuery(query);
 			conceditor.compute();
 		} catch (PartInitException e) {
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/link/LexiconToIndex.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/link/LexiconToIndex.java	(revision 369)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/link/LexiconToIndex.java	(revision 370)
@@ -96,7 +96,7 @@
 					.openEditor(editorInput,
 							"org.txm.rcp.editors.index.IndexEditor"); //$NON-NLS-1$
 			voceditor.setFocus(query);
-			voceditor.compute();
+			voceditor.computeResult();
 		} catch (PartInitException e) {
 			System.err.println(NLS.bind(Messages.GetConcordances_4, e));
 		}
